//
//  ViewController.m
//  ModalViewController
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"
#import "ModalViewController.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor orangeColor];
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];  //创建弹出模态视图按钮
    [button1 setTitle:@"PrensentModal" forState:UIControlStateNormal];
    button1.frame = CGRectMake(100, 100, 120, 40);
    [button1 addTarget:self action:@selector(presentModal)
      forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button1];
}

- (void)presentModal
{
    ModalViewController *modalViewController = [[ModalViewController alloc]init];
    modalViewController.modalPresentationStyle = UIModalPresentationFormSheet;      //iPhone模拟器中无法显示该风格
    modalViewController.modalTransitionStyle = UIModalTransitionStylePartialCurl;  //设置模态视图翻转动画效果
    [self presentViewController:modalViewController animated:YES
                     completion:^{
                         NSLog(@"显示");
                     }];
}



- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:YES];
    NSLog(@"视图将要显示");
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:YES];
    NSLog(@"视图已经显示");
}
- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:YES];
    NSLog(@"视图将要消失");
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:YES];
    NSLog(@"视图已经消失");
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
