//
//  TabbarViewController.m
//  Tabbar
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "TabbarViewController.h"

@interface TabbarViewController ()

@end

@implementation TabbarViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.tabBar.hidden = YES;
    }
    return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    HomeViewController *homeView = [[HomeViewController alloc]init];
    homeView.title = @"音乐播放";
    UINavigationController *homeNavigation = [[UINavigationController alloc]initWithRootViewController:homeView];
    NewsViewController *newsView = [[NewsViewController alloc]init];
    newsView.title = @"新闻";
    UINavigationController *newsNavigation = [[UINavigationController alloc]initWithRootViewController:newsView];
    MusicViewController *musicView = [[MusicViewController alloc]init];
    musicView.title = @"音乐";
    UINavigationController *musicNavigation = [[UINavigationController alloc]initWithRootViewController:musicView];
    SearchViewController *searchView = [[SearchViewController alloc]init];
    searchView.title = @"搜索";
    UINavigationController *searchNavigation = [[UINavigationController alloc]initWithRootViewController:searchView];
    
    NSArray *viewControllers = @[homeNavigation,newsNavigation,musicNavigation,searchNavigation];
    [self setViewControllers:viewControllers];
    
//    UIImageView *TabBarImage = [[UIImageView alloc]initWithFrame:CGRectMake(0, 524, 320, 49)];
//    TabBarImage.image = [UIImage imageNamed:@"background.jpg"];
//    [self.view addSubview:TabBarImage];
//    TabBarImage.userInteractionEnabled = YES;
//    
//    int X = 0;
//    for(int index = 0;index < 4;index++){
//        UIButton *button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
//        button.frame = CGRectMake(34+X, 4, 42, 42);
//        button.tag = index;
//        button.backgroundColor = [UIColor blueColor];
//        [button addTarget:self action:@selector(changeView:) forControlEvents:UIControlEventTouchUpInside];
//
//        [TabBarImage addSubview:button];
//        X += 70;
//    }

}

- (void)changeView:(UIButton *)button
{
    self.selectedIndex = button.tag;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
