//
//  SubViewController2.m
//  UINavigationController
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "SubViewController2.h"

@interface SubViewController2 ()

@end

@implementation SubViewController2

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self setTitle:@"SubView2"];
    UIView *view = [[UIView alloc]initWithFrame:[UIScreen
                                                 mainScreen].applicationFrame];
    view.backgroundColor = [UIColor redColor];
    self.view = view;
    UIButton *topButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [topButton setTitle:@"返回主页" forState:UIControlStateNormal];
    topButton.frame = CGRectMake(100, 100, 100, 40);
    [topButton addTarget:self action:@selector(backroot) forControlEvents:UIControlEventTouchUpInside];
    [view addSubview:topButton];
    UIButton *indexButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [indexButton setTitle:@"返回指定页面" forState:UIControlStateNormal];
    indexButton.frame = CGRectMake(100, 200, 100, 40);
    [indexButton addTarget:self action:@selector(indexVC) forControlEvents:UIControlEventTouchUpInside];
    [view addSubview:indexButton];
    UIButton *backButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [backButton setTitle:@"返回上一页" forState:UIControlStateNormal];
    backButton.frame = CGRectMake(100, 300, 100, 40);
    [backButton addTarget:self action:@selector(back) forControlEvents:UIControlEventTouchUpInside];
    [view addSubview:backButton];
    
    UIBarButtonItem *item = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemSave target:self action:@selector(save)];
    self.navigationItem.leftBarButtonItem = item;

}

- (void)save
{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"是否要保存?" delegate:nil cancelButtonTitle:@"否" otherButtonTitles:@"是",nil];
    [alert show];
}

- (void)backroot
{
    [self.navigationController popToRootViewControllerAnimated:YES];
}
- (void)back
{
    [self.navigationController popViewControllerAnimated:YES];
}
- (void)indexVC
{
    UIViewController *subView = [[self.navigationController
                                  viewControllers]objectAtIndex:1];
    [self.navigationController popToViewController:subView
                                          animated:YES];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
