//
//  ViewController.m
//  UINavigationController
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"
#import "SubViewController.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor whiteColor];
    //创建左边按钮
    UIBarButtonItem *barButton1 = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemEdit target:self action:nil];
    [self.navigationItem setLeftBarButtonItem:barButton1
                                     animated:YES];
    //创建右边按钮
    UIBarButtonItem *barButton2 = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemCamera target:self action:nil];
    [self.navigationItem setRightBarButtonItem:barButton2
                                      animated:YES];
    //创建Title视图
    UIView *titleView = [[UIView alloc]initWithFrame:CGRectMake(0,
                                                                0, 100, 30)];
    [self.navigationItem setTitleView:titleView];
    //创建Title视图的子视图，用于显示标题
    UILabel *titleLabel = [[UILabel alloc]initWithFrame:CGRectMake(0, 0,
                                                                   100, 30)];
    [titleLabel setText:@"Home"];
    titleLabel.textAlignment = NSTextAlignmentCenter;
    [titleView addSubview:titleLabel];
    
    UIButton *PushButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    PushButton.frame = CGRectMake(100, 150, 100, 40);
    [PushButton setTitle:@"下一视图" forState:UIControlStateNormal];

    [PushButton addTarget:self action:@selector(push) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:PushButton];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    
//    UIBarButtonItem *toolButton1 = [[UIBarButtonItem      alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:nil];
//    UIBarButtonItem *toolButton2 = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemReply target:self action:nil];
//    UIBarButtonItem *ImageButton = [[UIBarButtonItem alloc]initWithImage: [UIImage imageNamed:@"分享.png"]
//                                                                   style:UIBarButtonItemStylePlain target:self action:nil];
//    UIBarButtonItem *flexibleButton = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemFlexibleSpace target:self action:nil];
//    
//    UIToolbar *toolBar = [[UIToolbar alloc]initWithFrame:CGRectMake(0, 524, 320, 44)];
//    toolBar.barStyle = UIBarStyleBlackOpaque;
//    toolBar.translucent = YES;
//    
//    //上两行代码相当于toolBar.barStyle = UIBarStyleBlackTranslucent;
//    [self.view addSubview:toolBar];
//    NSArray *items = @[toolButton1,flexibleButton,toolButton2];
//    [toolBar setItems:items animated:YES];


//    NSArray *items = @[toolButton1,toolButton2,ImageButton];
//    [self setToolbarItems:items animated:YES];
    
   

}

- (void)push
{
    SubViewController *subViewController = [[SubViewController
                                             alloc]init];
    [self.navigationController
     pushViewController:subViewController animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
