//
//  SubViewController.m
//  UINavigationController
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "SubViewController.h"
#import "SubViewController2.h"
@interface SubViewController ()

@end

@implementation SubViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self setTitle:@"SubView"];
    UIView *view = [[UIView alloc]initWithFrame:[UIScreen
                                                 mainScreen].applicationFrame];
    view.backgroundColor = [UIColor orangeColor];
    self.view = view;

    UIButton *pushButton = [UIButton
                            buttonWithType:UIButtonTypeRoundedRect];
    [pushButton setTitle:@"下一视图"
                forState:UIControlStateNormal];
    pushButton.frame = CGRectMake(100, 100, 100, 40);
    [pushButton addTarget:self action:@selector(push) forControlEvents:UIControlEventTouchUpInside];
    [view addSubview:pushButton];

}

- (void)push
{
    SubViewController2 *subView2 = [[SubViewController2
                                     alloc]init];
    [self.navigationController pushViewController:subView2
                                         animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
