//
//  AppDelegate.m
//  UITabbarController
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    
    
    UIViewController *view1 = [[UIViewController alloc]init];
    view1.title = @"home";
    UILabel *label1 = [[UILabel alloc]initWithFrame:CGRectMake(60,
                                                               100,200,30)];
    UITabBarItem *imageItem = [[UITabBarItem  alloc]initWithTitle:@"home" image:[UIImage imageNamed:@"home.png"] tag:101];
    view1.tabBarItem = imageItem;

    [label1 setText:@"主页面"];
    label1.textAlignment = NSTextAlignmentCenter;
    [view1.view addSubview:label1];
    
    UINavigationController *navigationController1 = [[UINavigationController alloc]initWithRootViewController:view1];
    UIBarButtonItem *addButton = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:nil];
    [view1.navigationItem setLeftBarButtonItem:addButton animated:YES];
    
    UIViewController *view2 = [[UIViewController alloc]init];
    view2.title = @"music";
    UILabel *label2 = [[UILabel alloc]initWithFrame:CGRectMake(60,
                                                               100,200,30)];
    [label2 setText:@"音乐页面"];
    label2.textAlignment = NSTextAlignmentCenter;
    [view2.view addSubview:label2];

    UIViewController *view3 = [[UIViewController alloc]init];
    view3.title = @"news";
    UILabel *label3 = [[UILabel alloc]initWithFrame:CGRectMake(60,
                                                               100,200,30)];
    UITabBarItem *newItem = [[UITabBarItem alloc]initWithTabBarSystemItem:UITabBarSystemItemFeatured tag:3];
    view3.tabBarItem = newItem;
    view3.tabBarItem.badgeValue = [NSString stringWithFormat:@"%d",10];
    
    [label3 setText:@"新闻页面"];
    label3.textAlignment = NSTextAlignmentCenter;
    [view3.view addSubview:label3];
    UIViewController *view4 = [[UIViewController alloc]init];
    view4.title = @"setting";
    UILabel *label4 = [[UILabel alloc]initWithFrame:CGRectMake(60, 
                                                               100,200,30)];
    [label4 setText:@"设置页面"];
    label4.textAlignment = NSTextAlignmentCenter;
    [view4.view addSubview:label4];
    
    UIViewController *view5 = [[UIViewController alloc]init];
    view5.title = @"movie";
    UIViewController *view6 = [[UIViewController alloc]init];
    view6.title = @"search";
    UIViewController *view7 = [[UIViewController alloc]init];
    view7.title = @"style";
    NSArray *viewController = @[navigationController1,view2,view3,view4,view5,view6,view7];

    
    UITabBarController *TabBarController = [[UITabBarController alloc]init];
    [TabBarController setViewControllers:viewController animated:YES];
    UINavigationController *navigationController = [[UINavigationController alloc]initWithRootViewController:TabBarController];
    [self.window setRootViewController:navigationController];



    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
